Browser won't start with custom useragent version < 5

VERIFIED DUPLICATE of bug 83376

Status

defect
VERIFIED DUPLICATE of bug 83376
18 years ago
9 years ago

People

(Reporter: jason.zaugg, Assigned: edburns)

Tracking

({relnote})

Firefox Tracking Flags

(Not tracked)

Details

(Reporter)

Description

18 years ago
in user.js:
-----------
>user_pref("general.useragent.override","Mozilla/4.75 [en] (Win95; U)");

running mozilla (nightly, 20010724):
------------------------------------

>INTERNAL ERROR on Browser End: Expected a version > 5! Version = 4
>
>System error?:: No such file or directory

Changing the user agent version number to 5.75 enables mozilla to run (and me to
post this bug :)

I haven't used this preference before, so can't comment on the history of this
bug. Bug 80949 which was recently fixed would have masked this behaviour.
Is this working if you disable your Java plugin ?

Comment 2

18 years ago
hah, so if you want to use java you can't override the ua?

or perhaps java shouldn't be passed the forged ua.
Assignee: asa → edburns
Component: Browser-General → OJI
Keywords: relnote
QA Contact: doronr → shrir
Duplicate of "Crash when loading Java Plugin if UserAgent string as MSIE"

*** This bug has been marked as a duplicate of 83376 ***
Status: UNCONFIRMED → RESOLVED
Last Resolved: 18 years ago
Resolution: --- → DUPLICATE
i want to get the answer but verified.

Status: RESOLVED → VERIFIED
(Reporter)

Comment 5

18 years ago
confirmed that the problem is related to tha java plugin.

Updated

9 years ago
Component: Java: OJI → Java: OJI
Product: Core → Core Graveyard
You need to log in before you can comment on or make changes to this bug.